Bug 250463 - biology/linux-foldingathome: update to 7.6.20
Summary: biology/linux-foldingathome: update to 7.6.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-19 14:28 UTC by nikita stepanov
Modified: 2021-06-25 17:16 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (0mp)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Mateusz Piotrowski freebsd_committer 2020-10-20 07:20:40 UTC
It seems like version 7.6.20  changed something about the FAHClient and now our fahclient rc service does not fork into background anymore.

This has to be fixed before we update.

Also, change log:
https://forums.evga.com/New-client-7620-m3120541.aspx
Comment 2 commit-hook freebsd_committer 2021-06-25 17:14:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3716d1981fdda9fc12b323079093d0b6aaa6fcf2

commit 3716d1981fdda9fc12b323079093d0b6aaa6fcf2
Author:     Mateusz Piotrowski <0mp@FreeBSD.org>
AuthorDate: 2021-06-25 17:08:02 +0000
Commit:     Mateusz Piotrowski <0mp@FreeBSD.org>
CommitDate: 2021-06-25 17:13:19 +0000

    biology/linux-foldingathome: Update to 7.6.21

    Unfortunately, this version of FAHClient is not able to daemonize
    successfully anymore. Even though the --daemon flag is passed, FAHClient
    does not detach from the controlling terminal. In addition to that it
    does not go into background. The --log seems to be broken as well as
    since all the logs are printed to the terminal instead of the log file.

    In order to alleviate those problems, use daemon(8).

    PR:             250463
    Changes:        https://foldingforum.org/viewtopic.php?t=36307

 biology/linux-foldingathome/Makefile           |  2 +-
 biology/linux-foldingathome/distinfo           |  6 +++---
 biology/linux-foldingathome/files/fahclient.in | 26 +++++++++++---------------
 3 files changed, 15 insertions(+), 19 deletions(-)